from irc_bot_api import commands

class GladosV4(commands.CommandsPack):
    @commands.command(name="bye", event=lambda m: "au revoir glados" in m.text.lower())
    def greetings_bye(self, msg):
        """Répond "au revoir"."""
        self.bot.irc.send(msg.to, f"Au revoir {msg.author}")

    @commands.command(name="hello", event=lambda m: "bonjour glados" in m.text.lower())
    def greetings_hello(self, msg):
        """Dit bonjour lorsque l'on salue le GLaDOS."""
        self.bot.irc.send(msg.to, f"Bonjour {msg.author}")


class GladosV5(commands.CommandsPack):
    @commands.command(name="test")
    def test(self, msg):
        """Test de module de fonction."""
        self.bot.irc.send(msg.to, "Ceci est un test")